summaryrefslogtreecommitdiff
path: root/solenv/bin/installoffice
diff options
context:
space:
mode:
Diffstat (limited to 'solenv/bin/installoffice')
-rwxr-xr-xsolenv/bin/installoffice12
1 files changed, 11 insertions, 1 deletions
diff --git a/solenv/bin/installoffice b/solenv/bin/installoffice
index a8e22c2c8b5c..bd8053f64627 100755
--- a/solenv/bin/installoffice
+++ b/solenv/bin/installoffice
@@ -50,6 +50,16 @@ usage() {
exit $EXIT_FAILURE
}
+if [ x${USER}x = xx ]; then
+ if [ x${LOGNAME}x = xx ]; then
+ echo "ERROR: could not determine username. Please export variable USER" >&2
+ exit $EXIT_FAILURE
+ else
+ USER=$LOGNAME
+ export USER
+ fi
+fi
+
DESTPATH=/tmp/$USER
PARAM=""
@@ -90,4 +100,4 @@ unset FORCE2ARCHIVE
echo "### $SOLARENV/bin/installoffice.pl $PARAM -cleanup true $@"
exec perl -w $SOLARENV/bin/installoffice.pl $PARAM -cleanup true $@
-exit $? \ No newline at end of file
+exit $?